#item-tooltip {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    max-width: 420px;
    min-width: 260px;
    height: auto;
    z-index: 10;
    --line-gradient-bg: linear-gradient(90deg, rgba(255, 153, 51, 0.6) 0%, rgba(255, 153, 51, 0.6) 40%, rgba(255, 153, 51, 0.1) 100%);
    --head-gradient-bg: linear-gradient(90deg, rgba(37, 82, 196, 0.5) 0%, rgba(37, 82, 196, 0.5) 40%, rgba(37, 82, 196, 0.10) 100%);
    --charm-gradient-bg: linear-gradient(90deg, rgba(124, 35, 135, 0.6) 0%, rgba(124, 35, 135, 0.6) 40%, rgba(124, 35, 135, 0.1) 100%);
}

#item-tooltip.loading {
    width: auto;
}

#item-tooltip.loading > .body,
#item-tooltip.loading > .header,
#item-tooltip.loading > .footer {
    display: none;
}

#item-tooltip.loading > .loading,
#item-tooltip.quality > .body .quality,
#item-tooltip.master > .body .master,
#item-tooltip.id > .body .id,
#item-tooltip.quantity > .body .quantity,
#item-tooltip.params > .body .params,
#item-tooltip.sets > .body .sets,
#item-tooltip.description > .body .description,
#item-tooltip.split-stack > .body .split-stack,
#item-tooltip.work-until > .body .work-until,
#item-tooltip.ingredients > .body .ingredients,
#item-tooltip.price > .footer,
#item-tooltip.price > .footer .price,
#item-tooltip.personal > .header .personal,
#item-tooltip.ingredients > .body .ingredients,
#item-tooltip.craft-time > .body .craft-time,
#item-tooltip.charm > .body .charm,
#item-tooltip.charm > .footer .charm-time {
    display: block;
}

#item-tooltip > .background {
    background: rgba(0, 0, 0, 0.8);
    border: 3px solid #c96600;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    border-radius: 3px;
}

#item-tooltip > .body {
    z-index: 2;
    position: relative;
    padding: 0 20px;
    min-height: 120px;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    /* Required to make elements draggable in old WebKit */
    -khtml-user-drag: element;
    -webkit-user-drag: element;
    margin-bottom: 12px;
}

#item-tooltip:not(.price) > .body {
    margin-bottom: 20px;
}

#item-tooltip > .header {
    height: 37px;
    position: relative;
    margin: 3px 3px 0 3px;
    padding: 0 17px;
    z-index: 2;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    /* Required to make elements draggable in old WebKit */
    -khtml-user-drag: element;
    -webkit-user-drag: element;
    background: var(--head-gradient-bg);
}

#item-tooltip > .header .name {
    position: absolute;
    left: 17px;
    width: calc(100% - 60px);
    top: 0;
    height: 36px;
    line-height: 37px;
}

#item-tooltip > .header .name .value {
    color: #fff;
    font-weight: bold;
    font-size: 1.6em;
}

#item-tooltip.long-header > .header .name .value {
    font-size: 1.4em;
}

#item-tooltip.very-long-header > .header .name .value {
    font-size: 1.3em;
}

#item-tooltip > .header .personal {
    display: none;
    position: absolute;
    top: 7px;
    right: 14px;
    background: url("../img/tooltip/personal.png");
    width: 24px;
    height: 30px;
}

#item-tooltip > .header > .border {
    position: absolute;
    height: 1px;
    bottom: -1px;
    left: 0;
    right: 0;
    background: linear-gradient(90deg, rgba(255, 153, 51, 0.6) 0%, rgba(255, 153, 51, 0.6) 60%, rgba(255, 153, 51, 0.1) 100%);
}

#item-tooltip > .body > .img-block {
    position: absolute;
    width: 69px;
    height: 69px;
    top: 18px;
    right: 21px;
}

#item-tooltip > .body > .img-block > .background {
    background: url("../img/tooltip/slot.jpg");
    width: 69px;
    height: 69px;
}

#item-tooltip > .body > .img-block > .value {
    width: 67px;
    height: 67px;
    position: absolute;
    top: 1px;
    left: 1px;
}

#item-tooltip > .body .img-block > .value .charm {
    background: url("../img/slot/charm-star.png");
    width: 11px;
    height: 10px;
    position: absolute;
    top: -4px;
    left: -3px;
    z-index: 1;
}

#item-tooltip > .body .img-block > .value .charm[data-level="2"]::before,
#item-tooltip > .body .img-block > .value .charm[data-level="3"]::before {
    background: url("../img/slot/charm-star.png");
    width: 11px;
    height: 10px;
    position: absolute;
    top: 0;
    left: 5px;
    content: '';
}

#item-tooltip > .body .img-block > .value .charm[data-level="3"]::after {
    background: url("../img/slot/charm-star.png");
    width: 11px;
    height: 10px;
    position: absolute;
    top: 0;
    left: 10px;
    content: '';
}

#item-tooltip > .body .quality {
    display: none;
    color: #3198fd;
    padding-top: 20px;
}

#item-tooltip > .body .quality .label {
    display: inline-block;
    font-weight: bold;
    font-size: 1.8em;
}

#item-tooltip > .body .quality .value {
    display: inline-block;
    font-size: 1.8em;
    font-weight: bold;
    padding-left: 4px;
}

#item-tooltip > .body .type {
    position: relative;
    padding-top: 2px;
    padding-bottom: 2px;
    width: calc(100% - 70px);
}

#item-tooltip > .body .type .label {
    color: #fff;
    font-weight: bold;
    font-size: 1.3em;
    display: inline-block;
}

#item-tooltip > .body .type .value {
    font-size: 1.3em;
    display: inline-block;
    color: #fccc9b;
    font-style: italic;
    padding-left: 2px;
}

#item-tooltip > .body .id {
    display: none;
    position: relative;
    padding-top: 2px;
    padding-bottom: 2px;
    width: 200px;
}

#item-tooltip > .body .id .label {
    color: #c0c0c0;
    font-weight: bold;
    font-size: 1.1em;
    display: inline-block;
}

#item-tooltip > .body .id .value {
    font-size: 1.1em;
    display: inline-block;
    color: #c0c0c0;
    padding-left: 2px;
}

#item-tooltip > .body .master {
    display: none;
    position: relative;
    padding-top: 2px;
    padding-bottom: 2px;
    width: 200px;
}

#item-tooltip > .body .master .label {
    color: #fff;
    font-weight: bold;
    font-size: 1.3em;
    display: inline-block;
}

#item-tooltip > .body .master .value {
    font-size: 1.3em;
    display: inline-block;
    color: #fccc9b;
    font-style: italic;
    padding-left: 2px;
}

#item-tooltip > .body .params,
#item-tooltip > .body .sets {
    display: none;
    padding-top: 16px;
    font-size: 1.3em;
    position: relative;
}

#item-tooltip > .body .params > .label,
#item-tooltip > .body .sets > .label {
    font-weight: bold;
    color: #fff;
}

#item-tooltip > .body .params .list,
#item-tooltip > .body .sets .list {
    padding-top: 4px;
}

#item-tooltip > .body .params .list .group-param,
#item-tooltip > .body .sets .list .group-param {
    position: relative;
    width: 335px;
}

#item-tooltip > .body .params .list .group-param .timing {
    color: #ffcc66;
    position: absolute;
    top: 50%;
    height: 20px;
    margin-top: -9px;
    left: 279px;
    width: 64px;
    text-align: left;
    line-height: 20px;
}

#item-tooltip > .body .params .list .param,
#item-tooltip > .body .sets .list .param {
    position: relative;
}

#item-tooltip > .body .params .list .param .label::before,
#item-tooltip > .body .sets .list .param .label::before,
#item-tooltip > .body > .charm > .param .label::before {
    content: '';
    background: #fff;
    width: 4px;
    height: 4px;
    position: absolute;
    top: 8px;
    left: 3px;
}

#item-tooltip > .body .params .list .param .label,
#item-tooltip > .body .sets .list .param .label {
    padding-left: 16px;
    color: #fccc9b;
    width: 195px;
    position: relative;
    display: inline-block;
    padding-bottom: 2px;
    padding-top: 3px;
    white-space: nowrap;
}

#item-tooltip > .body .params .list .param > .value,
#item-tooltip > .body .sets .list .param > .value {
    font-weight: bold;
    color: #66cc33;
    position: relative;
    display: inline-block;
    width: 50px;
    padding-bottom: 2px;
    padding-top: 3px;
    min-height: 10px;
}

#item-tooltip > .body .params .list .group-param .param > .value,
#item-tooltip > .body .sets .list .group-param .param > .value {
    border-right: 1px solid #ff9933;
}

#item-tooltip > .body .params .list .param .amount {
    color: #ffcc66;
    text-align: left;
    width: 64px;
    position: relative;
    display: inline-block;
    padding-bottom: 2px;
    padding-top: 3px;
    padding-left: 15px;
}

#item-tooltip > .body .params .list .param .amount.depleted {
    opacity: 0.8;
    color: red;
}

#item-tooltip > .body .params .list .param .timing {

}

#item-tooltip > .body .params .list .param .value .neg,
#item-tooltip > .body .sets .list .param .value .neg {
    font-weight: bold;
    color: #ff3333;
}

#item-tooltip > .body .sets .list .items {
    font-weight: bold;
    color: darkorange;
    padding-bottom: 10px;
    padding-top: 10px;
    width: 0;
    min-width: 100%;
}

#item-tooltip > .body .sets .list .items:first-child {
    padding-top: 0;
}

#item-tooltip > .body .work-until {
    display: none;
    padding-top: 9px;
    line-height: 18px;
    color: darkorange;
}

#item-tooltip > .body .work-until .label {
    font-weight: bold;
    font-size: 1.3em;
    display: inline-block;
    width: 155px;
}

#item-tooltip > .body .work-until .value {
    font-size: 1.3em;
    display: inline-block;
    padding-left: 8px;
}

#item-tooltip > .body > .split-stack {
    display: none;
    padding-top: 9px;
    font-size: 1.3em;
    color: rgb(255, 215, 0);
    line-height: 18px;
}

#item-tooltip > .body > .quantity {
    display: none;
    position: relative;
    padding-top: 9px;
    padding-bottom: 2px;
    width: 200px;
}

#item-tooltip > .body .quantity .label {
    color: #fff;
    font-weight: bold;
    font-size: 1.3em;
    display: inline-block;
}

#item-tooltip > .body .quantity .value {
    font-size: 1.3em;
    display: inline-block;
    color: #fccc9b;
    padding-left: 2px;
}

#item-tooltip > .body > .description {
    display: none;
    padding-top: 9px;
    width: 0;
    min-width: 100%;
}

#item-tooltip > .body > .description .label {
    font-weight: bold;
    color: #fff;
    font-size: 1.3em;
    padding-bottom: 2px;
}

#item-tooltip > .body > .description .value {
    font-size: 1.3em;
    color: #ccc;
    line-height: 18px;
    display: block;
    overflow-wrap: break-word;
    word-wrap: break-word;
}

#item-tooltip > .body > .ingredients {
    display: none;
    padding-top: 12px;
    padding-bottom: 9px;
}

#item-tooltip > .body > .ingredients .label {
    font-weight: bold;
    color: #fff;
    font-size: 1.3em;
    padding-bottom: 5px;
}

#item-tooltip > .body > .ingredients .list {
    position: relative;
}

#item-tooltip > .body > .ingredients .list .ingredient {
    display: inline-block;
    padding-right: 6px;
}

#item-tooltip > .body > .ingredients .list .ingredient:last-child {
    padding-right: 0;
    padding-left: 1px;
}

#item-tooltip > .body > .ingredients .list .ingredient .background {
    background: url(../img/slot/slot-bg.png) no-repeat;
    width: 69px;
    height: 69px;
    position: relative;
}

#item-tooltip > .body > .ingredients .list .ingredient .item-img {
    width: 67px;
    height: 67px;
    margin: 1px;
}

#item-tooltip > .body > .ingredients .list .ingredient .amount {
    position: absolute;
    bottom: 1px;
    right: 4px;
    font-size: 1.2em;
    color: #333;
}

#item-tooltip > .body .craft-time {
    display: none;
    position: relative;
    padding-top: 9px;
    padding-bottom: 2px;
    width: 350px;
}

#item-tooltip > .body .craft-time .label {
    color: #fff;
    font-weight: bold;
    font-size: 1.3em;
    display: inline-block;
}

#item-tooltip > .body .craft-time .value {
    font-size: 1.3em;
    display: inline-block;
    color: #fccc9b;
    padding-left: 2px;
}

#item-tooltip > .body .craft-time .value-base {
    font-size: 1.3em;
    display: inline-block;
    color: red;
    text-decoration: line-through;
    padding-left: 2px;
}

#item-tooltip > .body .craft-time .value-discount {
    font-size: 1.3em;
    display: inline-block;
    color: chartreuse;
    font-weight: bold;
    padding-left: 2px;
}

#item-tooltip > .body > .charm {
    position: relative;
    display: none;
    padding-top: 20px;
}

#item-tooltip > .body > .charm > .header {
    position: relative;
    margin-left: -17px;
    height: 38px;
    margin-right: -17px;
}

#item-tooltip > .body > .charm > .header > .label {
    height: 36px;
    background: var(--charm-gradient-bg);
    line-height: 36px;
    color: #fff;
    font-size: 1.3em;
    font-weight: bold;
    padding-left: 17px;
}

#item-tooltip > .body > .charm > .img-block {
    position: absolute;
    top: 78px;
    right: 0;
}

#item-tooltip > .body > .charm > .img-block > .background {
    background: url("../img/tooltip/slot.jpg");
    width: 69px;
    height: 69px;
}

#item-tooltip > .body > .charm > .img-block > .value {
    width: 67px;
    height: 67px;
    position: absolute;
    top: 1px;
    left: 1px;
}

#item-tooltip > .body > .charm > .param {
    position: relative;
    height: 21px;
    font-size: 1.3em;
    color: #f6f;
    vertical-align: middle;
    padding: 44px 0;
    line-height: 21px;
}

#item-tooltip > .body > .charm > .param > .label {
    padding-left: 16px;
    width: 195px;
    position: relative;
    display: inline-block;
    white-space: nowrap;
    height: 21px;
}

#item-tooltip > .body > .charm > .param > .value {
    font-weight: bold;
    position: relative;
    display: inline-block;
    width: 50px;
    min-height: 10px;
    height: 21px;
}

#item-tooltip > .body > .charm .border {
    background: linear-gradient(90deg, rgba(255, 153, 51, 0.6) 0%, rgba(255, 153, 51, 0.6) 60%, rgba(255, 153, 51, 0.1) 100%);
    height: 1px;
}
#item-tooltip > .body > .charm > .ingredients {
    position: relative;
    margin-left: -17px;
    height: 94px;
    margin-right: -17px;
}

#item-tooltip > .body > .charm > .ingredients .list {
    position: relative;
    display: flex;
    padding-top: 26px;
    justify-content: center;
    gap: 6px;
}

#item-tooltip > .body > .charm > .ingredients .list .ingredient {
    display: block;
    padding-right: 6px;
    position: relative;
    width: 52px;
    height: 66px;
}


#item-tooltip > .body > .charm > .ingredients .list .ingredient .item-img {
    width: 52px;
    height: 47px;
}

#item-tooltip > .body > .charm > .ingredients .list .ingredient .amount {
    position: relative;
    font-size: 1.2em;
    color: #fff;
    text-align: center;
    margin-top: -4px;
}

#item-tooltip > .body > .charm > .ingredients .amount .enough {
    color: #66cc33;
}

#item-tooltip > .body > .charm > .ingredients .amount .depleted {
    color: #ff3333;
}

#item-tooltip > .footer {
    height: 43px;
    position: relative;
    z-index: 2;
    margin: 12px 3px 0;
    padding: 0 17px;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    -khtml-user-drag: element;
    -webkit-user-drag: element;
    display: none;
}

#item-tooltip > .footer .price {
    display: none;
    position: absolute;
    top: 0;
    height: 42px;
    line-height: 42px;
    left: 18px;
}

#item-tooltip > .footer .price .label {
    display: inline-block;
    color: #fff;
    font-size: 1.3em;
}

#item-tooltip > .footer .price .value::before {
    content: '';
    background: url("../img/tooltip/currency.png");
    width: 25px;
    height: 25px;
    position: absolute;
    top: 7px;
    left: 4px;
}

#item-tooltip > .footer .price .value {
    display: inline-block;
    color: #ffcc66;
    font-size: 1.3em;
    font-weight: bold;
    padding-left: 35px;
    position: relative;
}

#item-tooltip > .footer .charm-time {
    display: none;
    position: absolute;
    top: 0;
    height: 42px;
    line-height: 42px;
    right: 18px;
}

#item-tooltip > .footer .charm-time .label {
    display: inline-block;
    color: #fff;
    font-size: 1.3em;
}

#item-tooltip > .footer .charm-time .value {
    display: inline-block;
    color: #ffcc66;
    font-size: 1.3em;
    font-weight: bold;
    padding-left: 5px;
    position: relative;
}

#item-tooltip > .footer > .border {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 1px;
    background: linear-gradient(90deg, rgba(255, 153, 51, 0.6) 0%, rgba(255, 153, 51, 0.6) 60%, rgba(255, 153, 51, 0.1) 100%);
}

#item-tooltip > .loading {
    display: none;
    color: #fff;
    font-size: 1.3em;
    z-index: 2;
    padding: 10px 20px;
    position: relative;
}
